/*
  ktracker (c) 2006 Kris Beevers

  This file is part of ktracker.

  ktracker is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  ktracker is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with ktracker; if not, write to the Free Software Foundation,
  Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

  $Id: ktrackerclient.hpp,v 1.1.1.1 2006/10/10 20:41:29 beevek Exp $
*/

#ifndef _KTRACKERCLIENT_HPP
#define _KTRACKERCLIENT_HPP

#include <inttypes.h>
#include "network.hpp" // for KTRACKER_PORT mainly

int ktracker_connect(const char *ip, uint16_t port = KTRACKER_PORT);
int ktracker_disconnect();
int ktracker_get_pose(double *x, double *y, double *t);
int ktracker_set_origin_to_current_pose();

#endif // _KTRACKERCLIENT_HPP
